Pacman 6 got released: Requires manual intervention

:question: mine is sweet colored

3 Likes

Even though it's sweet themed, the background is white :grimacing:

What I want it too look is like this:

2 Likes

Ok i am gonna pretend i understood how do i update?

2 Likes

Yep I'm the same I'm totally lost ,This Distro started out user friendly now the updates are getting difficult .best i go and do a linux course.

1 Like

Honestly it's not hard you literally just follow what is in this post and this one (Warning: config file /etc/pacman.conf option not recognized)

It's a good learning experience if it's too hard for you you might want to go to a different distro other than Arch.....

If a still Linux noob (me) can do this anyone can

12 Likes

I was going to say pretty much this. Merging pacnew files is just something that happens time to time. ALL Arch based distros will have to do this at some point.

8 Likes

SOrry I must be missing something but I can't follow up / apply the solution... Note sure how to do your diff stuff....

[chaotic-aur]
Include = /etc/pacman.d/chaotic-mirrorlist is in my pacman.conf

Tks for your patience...

3 Likes

Which part? The steps are all detailed in the OP.

4 Likes

no pacman-manager just will not open still
or is this the way it is till they fix the lib13 .so thing

This is the way.

3 Likes

This is the way.

2 Likes

I'll go with this step but tks :slight_smile:

3 Likes

ty and i fixed it kinda need to look how to do that diff to compare but seems better lol.

1 Like

diff /etc/pacman.conf.pacold /etc/pacman.conf
would that show me the diff between my old file and the new? is this right?
so i could copy to new file

1 Like

I have also learned that it won't work for [ chaotic aur]

If you typed included that dam 'D'

Don't ask me how I know

1 Like

Aggreed :+1`

2 Likes

So can I just update my system with pacman -Syyu While the pamac doesn't work ? Or Should I wait a day or 2 ? my totaldownloads problem is gone since I commented it on the .conf. I will keep an eye on the forums to see when to update

1 Like

i did something i get a this now :failed retrieving file 'chaotic-aur.db'

Yes. If you've built any AUR packages, you'll need to use paru to update them. Also, two y's usually isn't necessary.

5 Likes

Just one 'y', though. Easier on the repository to let it just check the hash for updates rather than download the whole database each time.

4 Likes